Add a transcript segment
curl --request POST \
--url https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Thanks for having me.",
"transcriptSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"previousTranscriptId": "0186333b-6469-4c33-8b8f-b29ef9db0c99"
}
'import requests
url = "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts"
payload = {
"text": "Thanks for having me.",
"transcriptSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"previousTranscriptId": "0186333b-6469-4c33-8b8f-b29ef9db0c99"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Thanks for having me.',
transcriptSpeakerId: 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe',
previousTranscriptId: '0186333b-6469-4c33-8b8f-b29ef9db0c99'
})
};
fetch('https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'Thanks for having me.',
'transcriptSpeakerId' => 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe',
'previousTranscriptId' => '0186333b-6469-4c33-8b8f-b29ef9db0c99'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts"
payload := strings.NewReader("{\n \"text\": \"Thanks for having me.\",\n \"transcriptSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\",\n \"previousTranscriptId\": \"0186333b-6469-4c33-8b8f-b29ef9db0c99\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"Thanks for having me.\",\n \"transcriptSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\",\n \"previousTranscriptId\": \"0186333b-6469-4c33-8b8f-b29ef9db0c99\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"Thanks for having me.\",\n \"transcriptSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\",\n \"previousTranscriptId\": \"0186333b-6469-4c33-8b8f-b29ef9db0c99\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"id": "d4bcadfe-f454-4dc9-92d3-5c6b52189b4e",
"text": "Thanks for having me.",
"transcriptSpeaker": {
"id": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"speaker": "speaker_1"
}
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Transcript Editing
Add Transcript Segment
Adds a segment right after previousTranscriptId. Its times fall between that segment and the next one (a segment added after the last one has no end time); no other segment moves. A segment can’t be added before the first one, or to a job with no segments.
POST
/
v2
/
transcript-jobs
/
{jobId}
/
transcripts
Add a transcript segment
curl --request POST \
--url https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Thanks for having me.",
"transcriptSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"previousTranscriptId": "0186333b-6469-4c33-8b8f-b29ef9db0c99"
}
'import requests
url = "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts"
payload = {
"text": "Thanks for having me.",
"transcriptSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"previousTranscriptId": "0186333b-6469-4c33-8b8f-b29ef9db0c99"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Thanks for having me.',
transcriptSpeakerId: 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe',
previousTranscriptId: '0186333b-6469-4c33-8b8f-b29ef9db0c99'
})
};
fetch('https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'text' => 'Thanks for having me.',
'transcriptSpeakerId' => 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe',
'previousTranscriptId' => '0186333b-6469-4c33-8b8f-b29ef9db0c99'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts"
payload := strings.NewReader("{\n \"text\": \"Thanks for having me.\",\n \"transcriptSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\",\n \"previousTranscriptId\": \"0186333b-6469-4c33-8b8f-b29ef9db0c99\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"Thanks for having me.\",\n \"transcriptSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\",\n \"previousTranscriptId\": \"0186333b-6469-4c33-8b8f-b29ef9db0c99\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"Thanks for having me.\",\n \"transcriptSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\",\n \"previousTranscriptId\": \"0186333b-6469-4c33-8b8f-b29ef9db0c99\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"id": "d4bcadfe-f454-4dc9-92d3-5c6b52189b4e",
"text": "Thanks for having me.",
"transcriptSpeaker": {
"id": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"speaker": "speaker_1"
}
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Authorizations
Path Parameters
Query Parameters
Body
application/json
The segment's text, trimmed. 1 to 10,000 characters.
Required string length:
1 - 10000Example:
"Thanks for having me."
Was this page helpful?